curl --request PUT \
--url https://{tenant}.ekso.app/api/annotation/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"owner": 123,
"ownerId": "<string>",
"annotator": 123,
"annotatorId": "<string>",
"restrictedTo": [
"<string>"
],
"contentType": "<string>",
"content": "<string>",
"meta": [
{
"key": "<string>",
"value": "<string>"
}
],
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'curl --request PUT \
--url https://{tenant}.ekso.app/api/annotation/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"owner": 123,
"ownerId": "<string>",
"annotator": 123,
"annotatorId": "<string>",
"restrictedTo": [
"<string>"
],
"contentType": "<string>",
"content": "<string>",
"meta": [
{
"key": "<string>",
"value": "<string>"
}
],
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
The unique identifier of the annotation to update.
The updated annotation data; Id and TenantId must match the existing record.
The annotation was updated successfully.